summaryrefslogtreecommitdiffstats
path: root/source/n/procmail/procmail.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/procmail/procmail.SlackBuild')
-rwxr-xr-xsource/n/procmail/procmail.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/source/n/procmail/procmail.SlackBuild b/source/n/procmail/procmail.SlackBuild
new file mode 100755
index 000000000..0d7456c2a
--- /dev/null
+++ b/source/n/procmail/procmail.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=3.22
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-procmail
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_procmail.tar.gz
+
+cd $TMP
+rm -rf procmail-$VERSION
+tar xvf $CWD/procmail-$VERSION.tar.gz || exit 1
+cd procmail-$VERSION || exit 1
+zcat $CWD/procmail_3.22-5.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/procmail.lfs.diff.gz | patch -p1 --verbose || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make || exit 1
+
+cd src
+cat formail > $PKG/usr/bin/formail
+cat lockfile > $PKG/usr/bin/lockfile
+cat mailstat > $PKG/usr/bin/mailstat
+cat procmail > $PKG/usr/bin/procmail
+
+cd ../man
+for file in formail.1 lockfile.1 procmail.1 ; do
+ gzip -9c $file > $PKG/usr/man/man1/$file.gz
+done
+for file in procmailex.5 procmailrc.5 procmailsc.5 ; do
+ gzip -9c $file > $PKG/usr/man/man5/$file.gz
+done
+cd ..
+
+mkdir -p $PKG/usr/doc/procmail-$VERSION
+cp -a \
+ Artistic COPYING FAQ FEATURES HISTORY INSTALL KNOWN_BUGS \
+ README examples \
+ $PKG/usr/doc/procmail-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/procmail-$VERSION-$ARCH-$BUILD.txz
+